## faustworks 0.4.0~repack0

=== Makefile ===
system	:= $(shell uname -s)
qm4 := $(shell which qmake-qt4)
qm := $(if $(qm4),$(qm4),qmake)



VERSION="0.4"
DISTRIB=FaustWorks-$(VERSION)
TMPDIR=$(DISTRIB)-Distribution

ifeq ($(system), Darwin)
	SPEC := -spec macx-llvm
	DST  := "FaustWorks.app/Contents/"

else
	SPEC := ""
	PREFIX := /usr
endif


all : Makefile.qt4
	make -f Makefile.qt4

install : install-$(system)
uninstall : uninstall-$(system)

install-Linux :
	install FaustWorks $(PREFIX)/bin
	install faustworks.desktop $(PREFIX)/share/applications/
	install Resources/faustworks.xpm $(PREFIX)/share/pixmaps/
	install Resources/faustworks.png $(PREFIX)/share/icons/hicolor/32x32/apps/
	install Resources/faustworks.svg $(PREFIX)/share/icons/hicolor/scalable/apps/

uninstall-Linux :
	rm -f $(PREFIX)/bin/FaustWorks
	rm -f $(PREFIX)/share/applications/faustworks.desktop 
	rm -f $(PREFIX)/share/pixmaps/faustworks.xpm 
	rm -f $(PREFIX)/share/icons/hicolor/32x32/apps/faustworks.png
	rm -f $(PREFIX)/share/icons/hicolor/scalable/apps/faustworks.svg

install-Darwin :
	cp -r FaustWorks.app /Applications

dmg : $(DISTRIB).dmg

$(DISTRIB).dmg : all
	rm -rf $(TMPDIR)
	mkdir $(TMPDIR)
	cp -r FaustWorks.app $(TMPDIR)
	macdeployqt $(TMPDIR)/FaustWorks.app/
	rm -rf $(DISTRIB).dmg
	hdiutil create $(DISTRIB).dmg -srcfolder $(TMPDIR)
	rm -rf $(TMPDIR)


# make a FaustWorks distribution by cloning the git repository
clonedist :
	git clone git://faudiostream.git.sourceforge.net/gitroot/faudiostream/FaustWorks FaustWorks-$(version)
	rm -rf FaustWorks-$(version)/.git
	rm -f FaustWorks-$(version).tar.gz
	tar czfv FaustWorks-$(version).tar.gz FaustWorks-$(version)
	rm -rf FaustWorks-$(version)


# make a FaustWorks source distribution using git archive
distribution :
	git archive -o $(DISTRIB).zip HEAD

clean : Makefile.qt4
	make -f Makefile.qt4 clean
	rm -f FaustWorks.pro.user
	rm -rf FaustWorks.app
	rm -f $(DISTRIB).dmg
	rm -f $(DISTRIB).zip

Makefile.qt4: 
	$(qm) $(SPEC) -o Makefile.qt4

## faustworks 0.3.2~repack0

=== debian/changelog ===
faustworks (0.3.2~repack0-1) unstable; urgency=low

  * Initial release (Closes: #666727)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 01 Apr 2012 13:48:30 +0200

=== debian/control ===
Source: faustworks
Section: programming
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 libqt4-dev,
 qt4-dev-tools
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-multimedia/faustworks.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/faustworks.git
Homepage: http://faust.grame.fr/

Package: faustworks
Section: sound
Architecture: any
Depends:
 faust,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libgtk2.0-dev,
 libjack-dev,
 libqt4-dev
Description: IDE for Faust dsp programming language
 FaustWorks is an IDE (Integrated Development Environment)
 for the Faust dsp programming language.
 It relies on scripts to generate binaries for various audio targets.
 These scripts are located in
 /usr/share/FaustWorks/scripts.lin/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=qmake_qt4

override_dh_fixperms:
	dh_fixperms
	cd debian/faustworks && \
	chmod 0644 usr/share/FaustWorks/Resources/*

## faustworks 0.4.0~repack0

=== debian/changelog ===
faustworks (0.4.0~repack0-1) unstable; urgency=low

  * New upstream release.
  * Added local-options file.
  * Fixed dh_auto_clean to delete Makefile.qt4
  * Set dh/compat 9 to fix hardening.
  * Install icon from upstream source.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 08 May 2013 15:55:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libqt4-dev,
  qt4-dev-tools
 Standards-Version: 3.9.3

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 %:
 	dh $@ --buildsystem=qmake_qt4
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f Makefile.qt4
+
 override_dh_fixperms:
 	dh_fixperms
 	cd debian/faustworks && \

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
http://sf.net/faudiostream/FaustWorks-(\d)\.([\d\.]*)\.tgz

## faustworks 0.5~repack0

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 
 
-VERSION="0.4"
+VERSION="0.5"
 DISTRIB=FaustWorks-$(VERSION)
 TMPDIR=$(DISTRIB)-Distribution
 
 ifeq ($(system), Darwin)
-	SPEC := -spec macx-llvm
+	SPEC := -spec macx-g++
 	DST  := "FaustWorks.app/Contents/"
 
 else
@@ -18,8 +18,8 @@
 endif
 
 
-all : Makefile.qt4
-	make -f Makefile.qt4
+all : Makefile_QT
+	make -f Makefile_QT
 
 install : install-$(system)
 uninstall : uninstall-$(system)
@@ -66,15 +66,15 @@
 distribution :
 	git archive -o $(DISTRIB).zip HEAD
 
-clean : Makefile.qt4
-	make -f Makefile.qt4 clean
+clean : Makefile_QT
+	make -f Makefile_QT clean
 	rm -f FaustWorks.pro.user
 	rm -rf FaustWorks.app
 	rm -f $(DISTRIB).dmg
 	rm -f $(DISTRIB).zip
 
-Makefile.qt4: 
-	$(qm) $(SPEC) -o Makefile.qt4
+Makefile_QT: 
+	$(qm) $(SPEC) -o Makefile_QT

=== debian/changelog ===
faustworks (0.5~repack0-1) unstable; urgency=low

  * Bump Standards.
  * Added Keywords to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 04 Jun 2014 13:40:29 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  debhelper (>= 9),
  libqt4-dev,
  qt4-dev-tools
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/faustworks.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/faustworks.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/faustworks.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/faustworks.git
 Homepage: http://faust.grame.fr/
 
 Package: faustworks

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f Makefile.qt4
+	rm -f Makefile_QT
+	rm -f Resources/translations/i18n_*.qm
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack0.*// \
http://sf.net/faudiostream/FaustWorks-(\d)\.([\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
	debian sh debian/repack.stub
